<?php
App::uses('EvShopAppModel', 'EvShop.Model');
/**
 * Category Model
 *
 * @property Product $Product
 */
class Category extends EvShopAppModel {

	public $actsAs = array(
		'Routable.Routable' => array(
			'config' => 'EvShop'
		),
		'MetaData.Meta',
		'EvTemplates.Template' => array(
			'formInject' => true
		)
	);

	/**
	 * Display field
	 *
	 * @var string
	 */
	public $displayField = 'name';

	/**
	 * Validation rules
	 *
	 * @var array
	 */
	public $validate = array(
		'name' => array(
			'notEmpty' => array(
				'rule' => array('notEmpty'),
				'message' => 'A category name must be entered.'
			),
		),
	);

	//The Associations below have been created with all possible keys, those that are not needed can be removed

	/**
	 * hasAndBelongsToMany associations
	 *
	 * @var array
	 */
	public $hasAndBelongsToMany = array(
		'Product' => array(
			'className' => 'EvShop.Product',
			'joinTable' => 'ev_shop_categories_products'
		)
	);

}
